defmodule Microwaveprop.Repo.Migrations.CreateSolarIndices do
  use Ecto.Migration

  def change do
    create table(:solar_indices, primary_key: false) do
      add :id, :binary_id, primary_key: true
      add :date, :date, null: false
      add :sfi, :float
      add :sfi_adjusted, :float
      add :sunspot_number, :integer
      add :ap_index, :integer
      add :kp_values, {:array, :float}

      timestamps(type: :utc_datetime)
    end

    create unique_index(:solar_indices, [:date])
  end
end
